
Name:           kdeadmin
Epoch:          7
Version:        4.0.3
Release:        3%{?dist}
Summary:        K Desktop Environment - Administrative tools

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        kuser.pam
Source2:        kuser.pamd

BuildRequires:  cmake
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  openldap-devel

Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs >= %{version}
Requires: pkgconfig
%{?consolehelper:Requires: usermode-gtk}


%description
The %{name} package includes administrative tools including:
* kcron (editor for the cron command scheduler)
* knetworkconf (network configuration module for KDE's settings manager)
* kuser (user manager)
* secpolicy (displays PAM security policies)


%package kpackage
Summary: An RPM package manager
Group: Applications/System
Requires: smart
Requires(post): xdg-utils
Requires(postun): xdg-utils
%description kpackage
Kpackage is an RPM package manager, used for displaying currently installed
packages, uninstalling them and installing new ones.

It is based upon the "Smart Package Manager".


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%if 0%{?consolehelper}
# Run kuser through consolehelper
install -D -p -m644 %{SOURCE1} %{buildroot}%{_kde4_sysconfdir}/security/console.apps/kuser
install -D -p -m644 %{SOURCE2} %{buildroot}%{_kde4_sysconfdir}/pam.d/kuser
mkdir -p %{buildroot}%{_kde4_sbindir}
mv %{buildroot}%{_kde4_bindir}/kuser %{buildroot}%{_kde4_sbindir}
ln -s consolehelper %{buildroot}%{_kde4_bindir}/kuser
%endif

# unpackaged files 
#rm -rf %{buildroot}%{_libdir}/pkgconfig


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post kpackage
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun kpackage
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/kcron
%{_kde4_bindir}/kuser
%{_kde4_bindir}/secpolicy
%{_kde4_appsdir}/kcron/
%{_kde4_appsdir}/knetworkconf/
%{_kde4_appsdir}/kuser/
%{_kde4_datadir}/applications/kde4/kcron.desktop
%{_kde4_datadir}/applications/kde4/kuser.desktop
%{_kde4_datadir}/config.kcfg/kuser.kcfg
%{_kde4_datadir}/kde4/services/*
%{_kde4_docdir}/HTML/en/kcron/
%{_kde4_docdir}/HTML/en/knetworkconf/
%{_kde4_docdir}/HTML/en/kuser/
%{_kde4_iconsdir}/hicolor/*/*/*
%exclude %{_kde4_iconsdir}/hicolor/*/*/kpackage*
%{_kde4_libdir}/kde4/kcm_knetworkconfmodule.so
%{_libdir}/pkgconfig/*.pc
%if 0%{?consolehelper} 
%{_kde4_sbindir}/kuser
%config(noreplace) %{_kde4_sysconfdir}/security/console.apps/kuser
%config(noreplace) %{_kde4_sysconfdir}/pam.d/kuser
%endif

%files kpackage
%defattr(-,root,root,-)
%{_kde4_bindir}/kpackage
%{_kde4_appsdir}/kpackage/
%{_kde4_datadir}/applications/kde4/kpackage.desktop
%{_kde4_datadir}/config.kcfg/kpackageSettings.kcfg
%{_kde4_docdir}/HTML/en/kpackage/
%{_kde4_iconsdir}/hicolor/*/*/kpackage*


%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 7:4.0.1-1
- 4.0.1
- don't use consolehelper for kuser (for now anyway, didn't work anyway)
- -kpackage scriptlet fixes

* Tue Jan 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.0.0-1
- update to 4.0.0

* Thu Dec 20 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:3.97.0-3
- don't run kpackage through consolehelper, it can elevate privileges on demand
  (see also #344751, though that bug appears not to have affected KDE 4)

* Thu Dec 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.97.0-2
- cosmetics (drop extraneous BR's, touchup %%description)

* Thu Dec 06 2007 Than Ngo <than@redhat.com> 7:3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.2-1
- kde-3.96.2

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1
- also use epoch in changelog (also backwards)

* Thu Nov 22 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-7
- use consolehelper for kuser and kpackage

* Wed Nov 21 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-6
- put kpackage in a subpkg (for the smart requirement)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-5
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-4
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXpm-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-3
- +BR: kde4-macros(api)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-2
- included AUTHORS 
- added %%post and %%postun
- BR: kde-filesystem

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial version for Fedora
